public enum ShapeType {
	TRIANGLE(1),
	RECTANGLE(2),
	SQUARE(3),
	CIRCLE(4);

	private final int type;
	ShapeType(int type) {
		this.type = type;
	}
		
	public int getType() {
		return type;
	}

	public static ShapeType typeOf(int value) { // value ° ShapeType ȯ
		switch (value) { 
		case 1:
			return TRIANGLE;
		case 2:
			return RECTANGLE;
		case 3:
			return SQUARE;
		case 4:
			return CIRCLE;
		default:
			return null;
		}
	}
}