
public abstract class Shape {
	protected ShapeType type;
    protected ShapeColor fillColor;
    protected ShapeRect bounds;

	protected Shape() {
		this.type = null;
		this.fillColor = null;
		this.bounds = null;
	}

	public void print() {
		System.out.printf("Shape: %s (%s) %s\n", type, bounds, fillColor);
	}

    public abstract void area();
}
